﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace StartWithNotifyIcon
{
	internal static class Program
	{
		private static NotifyIcon _trayIcon;

		/// <summary>
		/// 	Der Haupteinstiegspunkt für die Anwendung.
		/// </summary>
		[STAThread]
		private static void Main()
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);

			_trayIcon = new NotifyIcon {Icon = Icon.FromHandle(new Bitmap("Gear.png").GetHicon()), Visible = true};
			_trayIcon.Click += TrayIconClick;

			Application.Run();

			_trayIcon.Dispose();
		}

		private static void TrayIconClick(object sender, EventArgs e)
		{
			Form1 form = new Form1();
			form.Closed += new EventHandler(form_Closed);
			form.Show();

		}

		private static void form_Closed(object sender, EventArgs e)
		{
			Application.Exit();
		}
	}
}